import java.awt.*;
import java.io.* ;
import java.time.* ;
import javax.swing.* ;
import javax.swing.border.TitledBorder;

public class Main {
    public static void main(String[] args) throws IOException, InterruptedException {
        ClockDisplay clock = new ClockDisplay(LocalDateTime.now().getHour(), LocalDateTime.now().getMinute() , LocalDateTime.now().getSecond());
        JFrame app = new JFrame() ;
        JLabel label = new JLabel() ;
        app.setTitle("digital clock");
        app.setSize(400,400);
        app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        app.setVisible(true);
        label.setFont(label.getFont().deriveFont(90f));
        label.setForeground(Color.red) ;
        while (true) {
            clock.timeTick();
            label.setText(clock.getTime()) ;
            app.add(label , BorderLayout.CENTER);
            try {
                Thread.sleep(1000);
            } catch (InterruptedException ex) {
            }
            ;
            new ProcessBuilder("cmd", "/c", "cls").inheritIO().start().waitFor();
        }
    }
}